Name: kconfigure
Summary: KDE tool for Building and installing software from source
Summary(ru_RU.KOI8-R): KDE         
Version: 2.1
Release: alt1
License: GPL
Group: Graphical desktop/KDE
Source: %name-%version.tar.bz2
Url: http://kconfigure.sourceforge.net

# Automatically added by buildreq on Fri Jul 29 2005
BuildRequires: fontconfig freetype2 gcc-c++ kde-i18n-ru kde-settings kdebase-devel kdelibs-devel libarts-devel libjpeg-devel libpng-devel libqt3-devel libqt3-settings libstdc++-devel xml-utils xorg-x11-devel zlib-devel

%description
Kconfigure simplifies the automake/checkinstall process by offering a simplified GUI interface.
Easy to use, click the configure file in Konqueror and configure, make and install the sources from
within kconfigure.  Features include checkinstall support (for creating RPM, Slackware, and DKPG
installation files), Qmake support, HTML or plaintext logging, Konqueror integration, and a helpful
configure option dialog.

%description -l ru_RU.KOI8-R
Kconfigure  automake/checkinstall      GUI-.
   ,  checkinstall (    RPM,
Slackware, and DKPG), Qmake, HTML  "plaintext logging",   Konqueror,  
  .

%prep
%setup -q -n %name-%version

subst 's,\.la\>,.so,' configure
%configure \
    --disable-debug \
    --enable-final \
    --prefix=%_prefix

%build
%__make -j

%install
%__make install-strip DESTDIR=$RPM_BUILD_ROOT

# menu
install -d %buildroot%_menudir
cat << EOF > %buildroot/%_menudir/%name
?package(%name):command="%_bindir/%name" icon="kconfigure.png" needs="X11" section="Applications/Development/Tools" title="KConfigure" longtitle="KDE tool for Building and installing software from source" hints=""
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%_bindir/*
%_mandir/*
%_menudir/%name
%_datadir/applnk/Applications/*
%_datadir/apps/*
%_datadir/doc/*
%_datadir/mimelnk/*
%_iconsdir/[!l]*/*/apps/kconfigure.*
%_iconsdir/[!l]*/*/mimetypes/configure.*

%changelog
* Fri Jul 29 2005 X-Stranger <xstranger@altlinux.ru> 2.1-alt1
- built for ALT Linux
